petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMFieldRegister

Adds an implementation of the DMField object.

### Synopsis

    #include "petscdmfield.h"
    PetscErrorCode  DMFieldRegister(const char sname[],PetscErrorCode (*function)(DMField))

Not collective

### Input Parameters

| name_impl | - name of a new user-defined implementation
| routine_create | - routine to create method context

### Notes

DMFieldRegister() may be called multiple times to add several user-defined implementations.

### Sample usage

       DMFieldRegister("my_impl",MyImplCreate);

Then, this implementation can be chosen with the procedural interface via

        DMFieldSetType(tagger,"my_impl")

### See Also

DMFieldRegisterAll(), DMFieldRegisterDestroy()

### Level

advanced

### Location

src/dm/field/interface/dmfieldregi.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages